-   Ubuntu (
-   -   sunbird 0.3 does not start, error: Segmentation fault : "$prog" ${1+"$@"} (

polemon 10-31-2006 07:55 AM

sunbird 0.3 does not start, error: Segmentation fault : "$prog" ${1+"$@"}

I'm using Ubuntu 6.10 on my laptop.

Everything works great so far, except Sunbird.

I tried to install it from source, but it failed with a library error (not that it is not installed, it's an error compiling it.)
So I tried the precompield package from .

Uncompressing went fine, as expected, but it wont start.
Instead, I get the following error:


$ ./sunbird
./ line 131:  8151 Segmentation fault      "$prog" ${1+"$@"}

I searched the net for this issue, but only problems, with the predecessing version were discussed.
Most of those replies, advised to update to the latest version of Sunbird.

I believe this is a bug in a shellscript or something.

Please help


Redeye2 10-31-2006 11:24 AM

Edit the file and change the first line from #!/bin/sh to #!/bin/bash and try again.

polemon 11-02-2006 12:45 PM

Tried, but I still get the error

Redeye2 11-02-2006 12:48 PM

If you want to retry compiling, why don't you install the -dev versions of the packages it needs. Might shed some more light about the issue.

polemon 11-06-2006 05:35 AM

-dev packages installed, not additional clues emerged

Redeye2 11-06-2006 11:53 AM

Now try to compile it :)

polemon 11-07-2006 01:03 PM

what I ment was, those -devel packages were installed prior to the first compilation.
So, eh...

Well, it's still istn't working...

bychan 01-08-2007 02:29 AM

sunbird 0.3 does not start, error: Segmentation fault : "$prog" ${1+"$@"}
Hi everybody!

I'd like to know, if anybody has found a fix in the meantime to this problem.
I am encountering the same problem with firefox and thunderbird this morning!

I hope to hear from you!

Best wishes,


streeturchine 01-08-2007 05:22 AM

you could try this script

it worked for me and is very easy:)

All times are GMT -5. The time now is 07:04 PM.